Skip to main content
`Ctrl`+`K`

# SNESLineSearchGetDefaultMonitor

Gets the `PetscViewer` instance for the default line search monitor that is turned on with `SNESLineSearchSetDefaultMonitor()`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchGetDefaultMonitor(SNESLineSearch linesearch, PetscViewer *monitor)

Logically Collective

## Input Parameter

- linesearch - the line search context

## Output Parameter

- monitor - monitor context

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESGetLineSearch()`, `SNESLineSearchSetDefaultMonitor()`, `PetscViewer`

## Level

intermediate

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages